<?php

/**
 * Handles version specific update logic. 
 * 
 * @since 1.3.1
 */
final class FLThemeUpdate {
	
	/**
	 * Checks to see if update logic needs to run.
	 *
	 * @since 1.3.1
	 * @return void
	 */
	static public function init()
	{
		global $wpdb;

		// Get the saved version number.
		$saved_version = get_option( '_wipi_version', '0' );

		// Don't update if the saved version matches the current version.
		if ( version_compare( $saved_version, WIPI_THEME_VERSION, '=' ) ) {
			return;
		}

		// Update the saved version number.
		update_option( '_wipi_install_date', time() );
		update_option( '_wipi_version', WIPI_THEME_VERSION );
		delete_transient( 'wipi_dismissed_update_notices' );
		delete_transient( 'wipi-update-response' );

		$wpdb->delete( $wpdb->usermeta, array( 'meta_key' => 'upress-ad-dismissed' ) );
	}
}
