<?php

/* breadcrumb Panel */
FLCustomizer::add_panel('fl-breadcrumb', array(
	'title'    => _x( 'Style Breadcrumbs Area', 'Customizer panel title.', 'wipi' ),
	'sections' => array(

		/* breadcrumb Background Section */
		'fl-breadcrumb-layout' => array(
			'title'   => _x( 'Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(


				/* Breadcrumb Show */
				'fl-breadcrumb-show' => array(
					'setting'   => array(
						'default'   => '1',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Show Breadcrumbs', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'1'    => __('Show', 'wipi'),
							'0'     => __('Hide', 'wipi')
						),
						'description' => __('NOTE: Breadcrumb will not show on front page.', 'wipi')
					),
				),

				'fl-breadcrumb-hide-in-mobile' => array(
					'setting'   => array(
						'default'   => '1',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Hide Breadcrumbs On Mobile', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'1'    => __('Hide', 'wipi'),
							'0'     => __('Show', 'wipi')
						)
					)
				),

				/* Breadcrumb Height */
				'fl-breadcrumb-height' => array(
					'setting'   => array(
						'default'           => '87',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Breadcrumb Area Desktop Minimal Height (px)', 'wipi'),
						'type'      => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 1000,
							'step' => 1
						),
					)
				),

				/* Breadcrumb Max Width */
				'fl-breadcrumb-width' => array(
					'setting'   => array(
						'default'           => '1100',
						'sanitize_callback' => 'FLCustomizer::sanitize_number',
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Breadcrumb Area Width (px)', 'wipi'),
						'type'      => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 5000,
							'step' => 1
						),
					),
				),

				/* Breadcrumb Mobile Height */
				'fl-breadcrumb-mobile-height' => array(
					'setting'   => array(
						'default'           => '87',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Breadcrumb Area Mobile Minimal Height (px)', 'wipi'),
						'type'      => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 1000,
							'step' => 1
						),
						'description'   => __('Leave empty to minimal height.', 'wipi')
					)
				),

				/* Breadcrumb Title Side */
				'fl-breadcrumb-title-side' => array(
					'setting'   => array(
						'default'   => 'right',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Title Side', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'right'    => __('Right', 'wipi'),
							'left'     => __('Left', 'wipi'),
						),
						'description'   => __('Here you can choose to swap sides between navigation and title.', 'wipi')
					)
				),

				/* Breadcrumb Home Show */
				'fl-breadcrumb-home' => array(
					'setting'   => array(
						'default'   => '1',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Show Homepage Link', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'1'    => __('Show', 'wipi'),
							'0'     => __('Hide', 'wipi')
						)
					)
				),

				/* Breadcrumb Text Before Navigation */
				'fl-breadcrumb-text' => array(
					'setting'   => array(
						'default'           => '',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Text Before Navigation Links', 'wipi'),
						'type'      => 'text',
						'description'   => __('This text will show before the first navigation item.', 'wipi')
					)
				),


			)
		),

		/* breadcrumb Background Section */
		'fl-breadcrumb-bg' => array(
			'title'   => _x( 'Background', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* breadcrumb Background Color */
				'fl-breadcrumb-bg-color' => array(
					'setting'   => array(
						'default'   => '#F6F6F6'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Background Color', 'wipi')
					)
				),

				/* breadcrumb Background Image */
				'fl-breadcrumb-bg-image' => array(
					'setting'   => array(
						'default'   => get_template_directory_uri() . '/img/breadcrumb_bkgd.png',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Breadcrumb Background Image Opacity */
				'fl-breadcrumb-bg-img-opacity' => array(
					'setting'   => array(
						'default'           => '70',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => _x('Image Background Opacity (%)','Breadcrumb', 'wipi'),
						'type'      => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
						'description' => __('Provide a value from 0 to 100.', 'wipi'),
					)
				),

				/* breadcrumb Background Repeat */
				'fl-breadcrumb-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						//'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* breadcrumb Background Position */
				'fl-breadcrumb-bg-position' => array(
					'setting'   => array(
						'default'   => 'center center',
						//'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* breadcrumb Background Size */
				'fl-breadcrumb-bg-size' => array(
					'setting'   => array(
						'default'   => 'cover',
						//'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				)
			)
		),

		/* Title Style */
		'fl-breadcrumb-title' => array(
			'title'   => _x( 'Title', 'Title.', 'wipi' ),
			'options' => array(

				'fl-breadcrumb-title-tag' => array(
					'setting' => array(
						'default' => 'h1'
					),
					'control' => array(
						'class' => 'WP_Customize_Control',
						'type' => 'select',
						'label' => __('Title Tag', 'wipi'),
						'description' => __('Unless you need to change for SEO it is advised to leave as is.', 'wipi'),
						'choices' => array(
							'h1' => __( 'Heading #1 (h1)', 'wipi' ),
							'h2' => __( 'Heading #2 (h2)', 'wipi' ),
							'h3' => __( 'Heading #3 (h3)', 'wipi' ),
							'h4' => __( 'Heading #4 (h4)', 'wipi' ),
							'h5' => __( 'Heading #5 (h5)', 'wipi' ),
							'h6' => __( 'Heading #6 (h6)', 'wipi' ),
							'span' => __( 'No Heading Tag', 'wipi' ),
						)
					)
				),

				/* Breadcrumb Background Color */
				'fl-breadcrumb-title-color' => array(
					'setting'   => array(
						'default'   => '#49494A'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Text Color', 'wipi')
					)
				),

				/* Breadcrumb Font Family */
				'fl-breadcrumb-title-font-family' => array(
					'setting'   => array(
						'default'   => 'Helvetica'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Family', 'wipi'),
						'type'      => 'font',
						'connect'   => 'fl-breadcrumb-title-font-weight'
					)
				),

				/* Breadcrumb Font Weight */
				'fl-breadcrumb-title-font-weight' => array(
					'setting'   => array(
						'default'   => '400'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Weight', 'wipi'),
						'type'      => 'font-weight',
						'connect'   => 'fl-breadcrumb-title-font-family'
					)
				),

				/* Breadcrumb Font Size */
				'fl-breadcrumb-title-font-size' => array(
					'setting'   => array(
						'default'   => '14',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Size (px)', 'wipi'),
						'type'      => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				)


			)
		),

		/* Navigation Style */
		'fl-breadcrumb-nav' => array(
			'title'   => _x( 'Breadcrumb Navigation', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Breadcrumb Navigation Links Text Color */
				'fl-breadcrumb-nav-links-color' => array(
					'setting'   => array(
						'default'   => '#0088CC'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Text Color', 'wipi')
					)
				),

				/* Breadcrumb Navigation Links Hover Color */
				'fl-breadcrumb-nav-links-hover-color' => array(
					'setting'   => array(
						'default'   => '#FFFFFF'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __(' Links Hover Color', 'wipi')
					)
				),

				/* Breadcrumb Navigation Current Page Text Color */
				'fl-breadcrumb-nav-current-color' => array(
					'setting'   => array(
						'default'   => '#CCCCCC'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __(' Current Page Text Color', 'wipi')
					)
				),

				/* Breadcrumb Navigation Separator Color */
				'fl-breadcrumb-nav-sep-color' => array(
					'setting'   => array(
						'default'   => '#000000'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __(' Separator Color', 'wipi')
					)
				),

				/* Breadcrumb Font Family */
				'fl-breadcrumb-nav-font-family' => array(
					'setting'   => array(
						'default'   => 'Helvetica'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Family', 'wipi'),
						'type'      => 'font',
						'connect'   => 'fl-breadcrumb-nav-font-weight'
					)
				),

				/* Breadcrumb Font Weight */
				'fl-breadcrumb-nav-font-weight' => array(
					'setting'   => array(
						'default'   => '400'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Weight', 'wipi'),
						'type'      => 'font-weight',
						'connect'   => 'fl-breadcrumb-nav-font-family'
					)
				),

				/* Breadcrumb Font Size */
				'fl-breadcrumb-nav-font-size' => array(
					'setting'   => array(
						'default'   => '14',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Size (px)', 'wipi'),
						'type'      => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

				/* Breadcrumb Separator Sign */
				'fl-breadcrumb-nav-sep' => array(
					'setting'   => array(
						'default'   => '<i class="fa fa-angle-left"></i>',
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Separator', 'wipi'),
						'type'      => 'text',
						'description' => htmlspecialchars( __('HTML is allowed, Example: <i class="fa fa-angle-left"></i>', 'wipi'), ENT_QUOTES )
					)
				),


			)
		),
	)
));
