<?php

/* General Panel */
FLCustomizer::add_panel('fl-general', array(
	'title'    => _x( 'General', 'Customizer panel title.', 'wipi' ),
	'sections' => array(

		/* Layout Section */
		'fl-layout' => array(
			'title'   => _x( 'Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

                                /* frontpage */
				'fl-front-page-layout-width' => array(
					'setting'   => array(
						'default'   => 'full-width'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Front Page Width', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'boxed'             => __('Boxed', 'wipi'),
							'full-width'        => __('Full Width', 'wipi')
						)
					)
				),
				'fl-layout-front-spacing' => array(
					'setting'   => array(
						'default'           => '0',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Spacing', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 150,
							'step' => 1
						),
					)
				),
				'fl-layout-front-shadow-size' => array(
					'setting'   => array(
						'default'   => '0',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Drop Shadow Size', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 75,
							'step' => 1
						),
					)
				),
				'fl-layout-front-shadow-color' => array(
					'setting'   => array(
						'default'   => '#d9d9d9'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Box Drop Shadow Color', 'wipi')
					)
				),

				/* Layout Width */
				'fl-layout-width' => array(
					'setting'   => array(
						'default'   => 'full-width'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Content Page Width', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'boxed'             => __('Boxed', 'wipi'),
							'full-width'        => __('Full Width', 'wipi')
						)
					)
				),

				/* Content Width */
				'fl-content-width' => array(
					'setting'   => array(
						'default'           => '1020'
					),
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'label'         => __('Content Width', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 960,
						    'max'  => 1920,
						    'step' => 1
						),
					)
				),

				/* Spacing */
				'fl-layout-spacing' => array(
					'setting'   => array(
						'default'           => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Spacing', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 150,
						    'step' => 1
						),
					)
				),

				/* Drop Shadow Size */
				'fl-layout-shadow-size' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Drop Shadow Size', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 75,
						    'step' => 1
						),
					)
				),

				/* Drop Shadow Color */
				'fl-layout-shadow-color' => array(
					'setting'   => array(
						'default'   => '#d9d9d9'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Drop Shadow Color', 'wipi')
					)
				),

				/* Scroll To Top Button */
				'fl-scroll-to-top' => array(
					'setting'   => array(
						'default'   => 'enable'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Scroll To Top Button', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'enable'         => __('Enabled', 'wipi'),
							'disable'        => __('Disabled', 'wipi')
						)
					)
				),
			)
		),

		/* Body Background Section */
		'fl-body-bg' => array(
			'title'   => _x( 'Background', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Background Color */
				'fl-body-bg-color' => array(
					'setting'   => array(
						'default'   => '#f2f2f2'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),

				/* Background Image */
				'fl-body-bg-image' => array(
					'setting'   => array(
						'default'   => '',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Background Repeat */
				'fl-body-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Background Position */
				'fl-body-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Background Attachment */
				'fl-body-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Background Size */
				'fl-body-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				)
			)
		),

		/* Accent Color Section */
		'fl-accent-color' => array(
			'title'   => _x( 'Accent Color', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Accent Color */
				'fl-accent' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Color', 'wipi'),
						'description'   => __('The accent color will be used to color elements such as links and buttons as well as various elements in your theme.', 'wipi')
					)
				),
				
				/* Accent Hover Color */
				'fl-accent-hover' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				)
			)
		),

		/* Heading Font Section */
		'fl-heading-font' => array(
			'title'   => _x( 'Headings', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Heading Text Color */
				'fl-heading-text-color' => array(
					'setting'   => array(
						'default'   => '#333333',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Color', 'wipi')
					)
				),

				/* Heading Font Family */
				'fl-heading-font-family' => array(
					'setting'   => array(
						'default'   => 'Helvetica',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Family', 'wipi'),
						'type'      => 'font',
						'connect'   => 'fl-heading-font-weight'
					)
				),

				/* Heading Font Weight */
				'fl-heading-font-weight' => array(
					'setting'   => array(
						'default'   => '400'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Weight', 'wipi'),
						'type'      => 'font-weight',
						'connect'   => 'fl-heading-font-family'
					)
				),

				/* Heading Font Format */
				'fl-heading-font-format' => array(
					'setting'   => array(
						'default'   => 'none',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Font Format', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'none'       => __('Regular', 'wipi'),
							'capitalize' => __('Capitalize', 'wipi'),
							'uppercase'  => __('Uppercase', 'wipi'),
							'lowercase'  => __('Lowercase', 'wipi')
						)
					)
				),

				/* Line */
				'fl-heading-font-line1' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* H1 Font Size */
				'fl-h1-font-size' => array(
					'setting'   => array(
						'default'   => '36',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Font Size', '%s stands for HTML heading tag.', 'wipi' ), 'H1' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* H1 Line Height */
				'fl-h1-line-height' => array(
					'setting'   => array(
						'default'   => '1.4',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Line Height', '%s stands for HTML heading tag.', 'wipi' ), 'H1' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				),

				/* H1 Letter Spacing */
				'fl-h1-letter-spacing' => array(
					'setting'   => array(
						'default'   => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Letter Spacing', '%s stands for HTML heading tag.', 'wipi' ), 'H1' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => -3,
						    'max'  => 10,
						    'step' => 1
						),
					)
				),

				/* Line */
				'fl-h1-line' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* H2 Font Size */
				'fl-h2-font-size' => array(
					'setting'   => array(
						'default'   => '30',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Font Size', '%s stands for HTML heading tag.', 'wipi' ), 'H2' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* H2 Line Height */
				'fl-h2-line-height' => array(
					'setting'   => array(
						'default'   => '1.4',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Line Height', '%s stands for HTML heading tag.', 'wipi' ), 'H2' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				),

				/* H2 Letter Spacing */
				'fl-h2-letter-spacing' => array(
					'setting'   => array(
						'default'   => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Letter Spacing', '%s stands for HTML heading tag.', 'wipi' ), 'H2' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => -3,
						    'max'  => 10,
						    'step' => 1
						),
					)
				),

				/* Line */
				'fl-h2-line' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* H3 Font Size */
				'fl-h3-font-size' => array(
					'setting'   => array(
						'default'   => '24',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Font Size', '%s stands for HTML heading tag.', 'wipi' ), 'H3' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* H3 Line Height */
				'fl-h3-line-height' => array(
					'setting'   => array(
						'default'   => '1.4',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Line Height', '%s stands for HTML heading tag.', 'wipi' ), 'H3' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				),

				/* H3 Letter Spacing */
				'fl-h3-letter-spacing' => array(
					'setting'   => array(
						'default'   => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Letter Spacing', '%s stands for HTML heading tag.', 'wipi' ), 'H3' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => -3,
						    'max'  => 10,
						    'step' => 1
						),
					)
				),

				/* Line */
				'fl-h3-line' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* H4 Font Size */
				'fl-h4-font-size' => array(
					'setting'   => array(
						'default'   => '18',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Font Size', '%s stands for HTML heading tag.', 'wipi' ), 'H4' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* H4 Line Height */
				'fl-h4-line-height' => array(
					'setting'   => array(
						'default'   => '1.4',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Line Height', '%s stands for HTML heading tag.', 'wipi' ), 'H4' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				),

				/* H4 Letter Spacing */
				'fl-h4-letter-spacing' => array(
					'setting'   => array(
						'default'   => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Letter Spacing', '%s stands for HTML heading tag.', 'wipi' ), 'H4' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => -3,
						    'max'  => 10,
						    'step' => 1
						),
					)
				),

				/* Line */
				'fl-h4-line' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* H5 Font Size */
				'fl-h5-font-size' => array(
					'setting'   => array(
						'default'   => '14',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Font Size', '%s stands for HTML heading tag.', 'wipi' ), 'H5' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* H5 Line Height */
				'fl-h5-line-height' => array(
					'setting'   => array(
						'default'   => '1.4',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Line Height', '%s stands for HTML heading tag.', 'wipi' ), 'H5' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				),

				/* H5 Letter Spacing */
				'fl-h5-letter-spacing' => array(
					'setting'   => array(
						'default'   => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Letter Spacing', '%s stands for HTML heading tag.', 'wipi' ), 'H5' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => -3,
						    'max'  => 10,
						    'step' => 1
						),
					)
				),

				/* Line */
				'fl-h5-line' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* H6 Font Size */
				'fl-h6-font-size' => array(
					'setting'   => array(
						'default'   => '12',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Font Size', '%s stands for HTML heading tag.', 'wipi' ), 'H6' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* H6 Line Height */
				'fl-h6-line-height' => array(
					'setting'   => array(
						'default'   => '1.4',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Line Height', '%s stands for HTML heading tag.', 'wipi' ), 'H6' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				),

				/* H6 Letter Spacing */
				'fl-h6-letter-spacing' => array(
					'setting'   => array(
						'default'   => '0',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => sprintf( _x( '%s Letter Spacing', '%s stands for HTML heading tag.', 'wipi' ), 'H6' ),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => -3,
						    'max'  => 10,
						    'step' => 1
						),
					)
				)
			)
		),

		/* Body Font Section */
		'fl-body-font' => array(
			'title'   => _x( 'Text', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Body Text Color */
				'fl-body-text-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Color', 'wipi')
					)
				),

				/* Body Font Family */
				'fl-body-font-family' => array(
					'setting'   => array(
						'default'   => 'Helvetica'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Family', 'wipi'),
						'type'      => 'font',
						'connect'   => 'fl-body-font-weight'
					)
				),
				
				/* Body Font Weight */
				'fl-body-font-weight' => array(
					'setting'   => array(
						'default'   => '400'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Weight', 'wipi'),
						'type'      => 'font-weight',
						'connect'   => 'fl-body-font-family'
					)
				),				

				/* Body Font Size */
				'fl-body-font-size' => array(
					'setting'   => array(
						'default'   => '14',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Size', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* Body Line Height */
				'fl-body-line-height' => array(
					'setting'   => array(
						'default'   => '1.45',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Line Height', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 2.5,
						    'step' => 0.05
						),
					)
				)				
			)
		),

		/* Social Links Section */
		'fl-social-links' => array(
			'title'   => _x( 'Social Links', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Social Icons Color */
				'fl-social-icons-color' => array(
					'setting'   => array(
						'default'   => 'mono'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Social Icons Color', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'branded'   => __('Branded', 'wipi'),
							'mono'      => __('Monochrome', 'wipi')
						)
					)
				),

				/* Social Links (no need to translate brand names) */
				'fl-social-facebook' => array(
					'setting'   => array(
						'default'   => 'https://www.facebook.com/wipiWP'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Facebook',
					)
				),
				'fl-social-twitter' => array(
					'setting'   => array(
						'default'   => 'https://twitter.com/wipiWP'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Twitter',
					)
				),
				'fl-social-google' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Google',
					)
				),
				'fl-social-linkedin' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'LinkedIn',
					)
				),
				'fl-social-yelp' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Yelp',
					)
				),
				'fl-social-xing' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Xing',
					)
				),
				'fl-social-pinterest' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Pinterest',
					)
				),
				'fl-social-tumblr' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Tumblr',
					)
				),
				'fl-social-vimeo' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Vimeo',
					)
				),
				'fl-social-youtube' => array(
					'setting'   => array(
						'default'   => 'https://www.youtube.com/channel/UCvpZG0CLoQMUgp4kF7w9lPw'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'YouTube',
					)
				),
				'fl-social-flickr' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Flickr',
					)
				),
				'fl-social-instagram' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Instagram',
					)
				),
				'fl-social-dribbble' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Dribbble',
					)
				),
				'fl-social-500px' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => '500px',
					)
				),
				'fl-social-blogger' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'Blogger',
					)
				),
				'fl-social-github' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => 'GitHub',
					)
				),
				'fl-social-rss' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => __( 'RSS', 'wipi' )
					)
				),
				'fl-social-email' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => __( 'Email', 'wipi' )
					)
				),
				'fl-social-skype' => array(
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => __( 'Skype', 'wipi' )
					)
				),
			)
		),
		/* Favicons Section */
		'fl-favicons' => array(
			'disable' => function_exists( 'has_site_icon' ),
			'title'   => _x( 'Favicons', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Favicon */
				'fl-favicon' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Favicon', 'wipi')
					)
				),

				/* Apple Touch Icon */
				'fl-apple-touch-icon' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Apple Touch Icon', 'wipi')
					)
				)
			)
		),
		/* Custom Pages */
		'fl-custom-pages' => array(
			'title'   => _x( 'Customize Your Pages', 'Customizer section title.', 'wipi' ),
			'options' => array(
				'fl-four-o-four-page' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'label'         => __('Select 404 Page', 'wipi'),
						'description'   => __('"404 Not Found" Page - will show when a user attempts to follow a broken or dead link.', 'wipi'),
						'type'          => 'page-select',
					)
				),
			)
		)
	)
));
