<?php

/* Header Panel */
FLCustomizer::add_panel('fl-header', array(
	'title'    => _x( 'Header', 'Customizer panel title.', 'wipi' ),
	'sections' => array(

		/* Top Bar Layout Section */
		'fl-topbar-layout' => array(
			'title'   => _x( 'Top Bar Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Top Bar Layout */
				'fl-topbar-layout' => array(
					'setting'   => array(
						'default'   => 'none'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Layout', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'none'          => __('None', 'wipi'),
							'1-col'         => __('1 Column', 'wipi'),
							'2-cols'        => __('2 Columns', 'wipi')
						)
					)
				),

				/* Line */
				'fl-topbar-line1' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Top Bar Column 1 Layout */
				'fl-topbar-col1-layout' => array(
					'setting'   => array(
						'default'   => 'text'
					),
					'control'   => array(
						'class'   => 'WP_Customize_Control',
						'label'   => sprintf( _x( 'Column %d Layout', '%d stands for column order number.', 'wipi' ), 1 ),
						'type'    => 'select',
						'choices' => array(
							'text'              => __('Text', 'wipi'),
							'text-social'       => __('Text &amp; Social Icons', 'wipi'),
							'menu'              => __('Menu', 'wipi'),
							'menu-social'       => __('Menu &amp; Social Icons', 'wipi'),
							'social'            => __('Social Icons', 'wipi')
						)
					)
				),

				/* Top Bar Column 1 Layout */
				'fl-topbar-col1-layout-alignment' => array(
					'setting'   => array(
						'default'   => 'center'
					),
					'control'   => array(
						'class'   => 'WP_Customize_Control',
						'label'   => __( 'Alignment', 'wipi' ),
						'type'    => 'select',
						'choices' => array(
							'left'         => __('Left', 'wipi'),
							'center'       => __('Center', 'wipi'),
							'right'        => __('Right', 'wipi'),
						)
					)
				),

				/* Top Bar Column 1 Text */
				'fl-topbar-col1-text' => array(
					'setting'   => array(
						'default'   => '',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => sprintf( _x( 'Column %d Text', '%d stands for column order number.', 'wipi' ), 1 ),
						'type'  => 'textarea'
					)
				),

				/* Line */
				'fl-topbar-line2' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Top Bar Column 2 Layout */
				'fl-topbar-col2-layout' => array(
					'setting'   => array(
						'default'   => 'menu'
					),
					'control'   => array(
						'class'   => 'WP_Customize_Control',
						'label'   => sprintf( _x( 'Column %d Layout', '%d stands for column order number.', 'wipi' ), 2 ),
						'type'    => 'select',
						'choices' => array(
							'text'              => __('Text', 'wipi'),
							'text-social'       => __('Text &amp; Social Icons', 'wipi'),
							'menu'              => __('Menu', 'wipi'),
							'menu-social'       => __('Menu &amp; Social Icons', 'wipi'),
							'social'            => __('Social Icons', 'wipi')
						)
					)
				),

				/* Top Bar Column 2 Text */
				'fl-topbar-col2-text' => array(
					'setting'   => array(
						'default'   => '',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => sprintf( _x( 'Column %d Text', '%d stands for column order number.', 'wipi' ), 2 ),
						'type'  => 'textarea'
					)
				)
			)
		),

		/* Top Bar Style Section */
		'fl-topbar-style' => array(
			'title'     => _x( 'Top Bar Style', 'Customizer section title.', 'wipi' ),
			'options'   => array(

				/* Top Bar Background Color */
				'fl-topbar-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),

				/* Top Bar Background Opacity */
				'fl-topbar-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),	

				/* Top Bar Background Gradient */
				'fl-topbar-bg-gradient' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Background Gradient', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'0'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'1'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),

				/* Top Bar Background Image */
				'fl-topbar-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Top Bar Background Repeat */
				'fl-topbar-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Top Bar Background Position */
				'fl-topbar-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Top Bar Background Attachment */
				'fl-topbar-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Top Bar Background Size */
				'fl-topbar-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),

				/* Top Bar Text Color */
				'fl-topbar-text-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Text Color', 'wipi')
					)
				),

				/* Top Bar Link Color */
				'fl-topbar-link-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Link Color', 'wipi')
					)
				),

				/* Top Bar Hover Color */
				'fl-topbar-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				)
			)
		),

		/* Header Layout Section */
		'fl-header-layout' => array(
			'title'   => _x( 'Header Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Header Layout */
				'fl-header-layout' => array(
					'setting'   => array(
						'default'   => 'right'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Layout', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'none'                  => __('None', 'wipi'),
							'bottom'                => __('Nav Bottom', 'wipi'),
							'right'                 => __('Nav Right', 'wipi'),
							'left'                  => __('Nav Left', 'wipi'),
							'centered'              => __('Nav Centered', 'wipi'),
							'right-transparent'     => __('Nav Right Floating', 'wipi'),
							'centered-inline-logo'  => __('Nav Centered + Inline Logo', 'wipi'),
							'vertical-left'         => __('Nav Vertical Left', 'wipi'),
							'vertical-right'        => __('Nav Vertical Right', 'wipi'),
						)
					)
				),

//				/* Transparent Header Only In Frontpage */
//				'transparent_only_frontpage' => array(
//					'setting'   => array(
//						'default'   => 'enabled'
//					),
//					'control'   => array(
//						'class'         => 'WP_Customize_Control',
//						'label'         => __('Floating Above Content', 'wipi'),
//						'description'   => __('Frontpage only.', 'wipi'),
//						'type'          => 'select',
//						'choices'       => array(
//							'disabled'            => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
//							'enabled'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
//						)
//					)
//				),

				/* Inline Logo Side */
				'fl-inline-logo-side' => array(
					'setting'   => array(
						'default'   => 'right'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Odd Menu Items Position', 'wipi'),
						'description'   => __('On which side to show the odd amount if menu items.', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left'     => __('Left', 'wipi'),
							'right'    => __('Right', 'wipi')
						)
					)
				),

				/* Vertical Header Width */
				'fl-vertical-header-width' => array(
					'setting'   => array(
						'default'           => '230',
						'transport'         => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Vertical Nav Width', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 200,
						    'max'  => 400,
						    'step' => 1
						),
					)
				),

				/* Header Padding */
				'fl-header-padding' => array(
					'setting'   => array(
						'default'           => '30',
						'transport'         => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Padding', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),

				/* Hide Header Until Scroll */
				'fl-hide-until-scroll-header' => array(
					'setting'   => array(
						'default'   => 'disable'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Hide Header Until Scroll', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'disable'       => __( 'Disabled', 'wipi' ),
							'enable'       => __( 'Enabled', 'wipi' )
						)
					)
				),

				/* Scroll Distance for Hide Header Until Scroll */
				'fl-scroll-distance' => array(
					'setting'   => array(
						'default'           => '200'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Scroll Distance', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 50,
						    'max'  => 1000,
						    'step' => 1
						),
					)
				),

				/* Nav Search */
				'fl-header-nav-search' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Nav Search Icon', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'visible'   => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'hidden'    => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),

				/* Woocommerce cart link */
				'fl-show-woocommerce-cart-link' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Woocommerce Cart Link', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'visible'   => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'hidden'    => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),

				/* Line */
				'fl-header-line1' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Header Content Layout */
				'fl-header-content-layout' => array(
					'setting'   => array(
						'default'   => 'social-text'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Content Layout', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'none'              => __('None', 'wipi'),
							'text'              => __('Text', 'wipi'),
							'social'            => __('Social Icons', 'wipi'),
							'social-text'       => __('Text &amp; Social Icons', 'wipi')
						)
					)
				),

				/* Header Content Text */
				'fl-header-content-text' => array(
					'setting'   => array(
						'default'   => 'Call Us! 1-800-555-5555'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Content Text', 'wipi'),
						'type'      => 'textarea'
					)
				)
			)
		),

		/* Header Style Section */
		'fl-header-style' => array(
			'title'   => _x( 'Header Style', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Header Background Color */
				'fl-header-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),
				
				/* Header Background Opacity */
				'fl-header-bg-opacity' => array(
					'setting'   => array(
						'default'   => '50'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),

				/* Nav Drop Shadow Size */
				'fl-nav-shadow-size' => array(
					'setting'   => array(
						'default'   => '4'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Drop Shadow Size', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 75,
						    'step' => 1
						),
					)
				),

				/* Nav Shadow Color */
				'fl-nav-shadow-color' => array(
					'setting'   => array(
						'default'   => '#cecece'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Drop Shadow Color', 'wipi')
					)
				),

				/* Header Background Gradient */
				'fl-header-bg-gradient' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Background Gradient', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'0'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'1'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),

				/* Header Background Image */
				'fl-header-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Header Background Repeat */
				'fl-header-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Header Background Position */
				'fl-header-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Header Background Attachment */
				'fl-header-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Header Background Size */
				'fl-header-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),							

				/* Header Text Color */
				'fl-header-text-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Text Color', 'wipi')
					)
				),

				/* Header Link Color */
				'fl-header-link-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Link Color', 'wipi')
					)
				),

				/* Header Hover Color */
				'fl-header-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				),

				/* Line */
				'fl-header-line-social' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Social Icons Color */
				'fl-social-icons-color' => array(
					'setting'   => array(
						'default'   => 'mono'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Social Icons Color', 'wipi'),
						'description'   => __('You can choose between icon original brand colors, or choose custom monochrome color.', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'branded'   => __('Branded Original Color', 'wipi'),
							'mono'      => __('Custom Monochrome Color', 'wipi')
						)
					)
				),

				/* Main Header Social Icons color*/
				'fl-header-social-icons-color' => array(
					'setting'   => array(
						'default'   => '#0088CC'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Main Header Social Icons color', 'wipi')
					)
				),

				/* Main Header Social Icons Background color*/
				'fl-header-social-icons-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Main Header Social Icons Background color', 'wipi')
					)
				)
			)
		),

		/* Fixed Header Style Section */
		'fl-fixed-header-style' => array(
			'title'   => _x( 'Fixed Header Style', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Fixed Header */
				'fl-fixed-header' => array(
					'setting'   => array(
						'default'   => 'fadein'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Fixed Header', 'wipi'),
						'description'   => __('Show a fixed header as the page is scrolled.', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'hidden'       => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'fadein'       => _x( 'Fade In', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'shrink'       => _x( 'Shrink', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'fixed'        => _x( 'Fixed', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),

//				/* Custom Fixed Header Logo */
//				'fl-custom-fixed-header-logo' => array(
//					'setting'   => array(
//						'default'   => 'no'
//					),
//					'control'   => array(
//						'class'         => 'WP_Customize_Control',
//						'label'         => __('Custom Logo', 'wipi'),
//						'type'          => 'select',
//						'choices'       => array(
//							'no'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
//							'yes'            => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
//						)
//					)
//				),

//				/* Fixed Header Logo Image (Regular) */
//				'fl-fixed-header-logo-image' => array(
//					'setting'   => array(
//						'default'   => ''
//					),
//					'control'   => array(
//						'class'     => 'WP_Customize_Image_Control',
//						'label'     => __('Logo Image (Regular)', 'wipi')
//					)
//				),
//
//				/* Fixed Header Logo Image (Retina) */
//				'fl-fixed-header-logo-image-retina' => array(
//					'setting'   => array(
//						'default'   => ''
//					),
//					'control'   => array(
//						'class'         => 'WP_Customize_Image_Control',
//						'label'         => __('Logo Image (Retina)', 'wipi')
//					)
//				),

				/* Fixed Header Background Color */
				'fl-fixed-header-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),

				/* Fixed Header Background Opacity */
				'fl-fixed-header-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

				/* Fixed Header Background Image */
				'fl-fixed-header-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Fixed Header Background Repeat */
				'fl-fixed-header-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Fixed Header Background Position */
				'fl-fixed-header-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Fixed Header Background Attachment */
				'fl-fixed-header-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Fixed Header Background Size */
				'fl-fixed-header-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),

				/* Fixed Header Link Color */
				'fl-fixed-header-link-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Link Color', 'wipi')
					)
				),

				/* Fixed Header Hover Color */
				'fl-fixed-header-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				),
			)
		),

		/* Header Logo Section */
		'fl-header-logo' => array(
			'title'   => _x( 'Header Logo', 'Customizer section title.', 'wipi' ),
			'options' => array(

				'fl-logo-image-moved-link' => array(
					'control' => array(
						'label' => __( 'Logo', 'wipi' ),
						'class' => 'WP_Customize_Control',
						'type' => 'hidden',
						'description' => __( 'Looking to customizer your logo? it moved to Settings > Site Identity section', 'wipi' )
					)
				),

//				/* Logo Type */
//				'fl-logo-type' => array(
//					'setting'   => array(
//						'default'   => 'image'
//					),
//					'control'   => array(
//						'class'         => 'WP_Customize_Control',
//						'label'         => __('Logo Type', 'wipi'),
//						'type'          => 'select',
//						'choices'       => array(
//							'text'          => __('Text', 'wipi'),
//							'image'         => __('Image', 'wipi')
//						)
//					)
//				),
//
//				/* Logo Image (Regular) */
//				'fl-logo-image' => array(
//					'setting'   => array(
//						'default'   => get_template_directory_uri() . '/img/logo400.png'
//					),
//					'control'   => array(
//						'class'     => 'WP_Customize_Image_Control',
//						'label'     => __('Logo Image (Regular)', 'wipi')
//					)
//				),
//
//				/* Logo Image (Retina) */
//				'fl-logo-image-retina' => array(
//					'setting'   => array(
//						'default'   => ''
//					),
//					'control'   => array(
//						'class'         => 'WP_Customize_Image_Control',
//						'label'         => __('Logo Image (Retina)', 'wipi')
//					)
//				),

                /* Logo Width */
				'fl-logo-width' => array(
					'setting'   => array(
						'default'   => '50'
					),
					'control'   => array(
                        'class'     => 'FLCustomizerControl',
						'label'     => __('Logo Width (%)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),
				'fl-logo-mobile-width' => array(
					'setting'   => array(
						'default'   => '30'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Mobile: Logo Width (%)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

//				/* Logo Text */
//				'fl-logo-text' => array(
//					'setting'   => array(
//						'default'   => get_bloginfo('name'),
//						'transport' => 'postMessage'
//					),
//					'control'   => array(
//						'class'         => 'WP_Customize_Control',
//						'label'         => __('Logo Text', 'wipi'),
//						'type'          => 'text'
//					)
//				),

				/* Logo Font Family */
				'fl-logo-font-family' => array(
					'setting'   => array(
						'default'   => 'Helvetica',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Family', 'wipi'),
						'type'      => 'font',
						'connect'   => 'fl-logo-font-weight'
					)
				),

				/* Logo Font Weight */
				'fl-logo-font-weight' => array(
					'setting'   => array(
						'default'   => '400'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Weight', 'wipi'),
						'type'      => 'font-weight',
						'connect'   => 'fl-logo-font-family'
					)
				),

				/* Logo Font Size */
				'fl-logo-font-size' => array(
					'setting'   => array(
						'default'   => '30',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Size', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 14,
						    'max'  => 72,
						    'step' => 1
						),
					)
				),

				/* Logo Top Spacing */
				'fl-header-logo-top-spacing' => array(
					'setting'   => array(
						'default'           => '50',
						'transport'         => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Logo Top Spacing', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 200,
						    'step' => 1
						),
					)
				)
			)
		),

		/* Nav Layout Section */
		'fl-nav-layout' => array(
			'title'   => _x( 'Nav Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Nav Item Spacing */
				'fl-nav-item-spacing' => array(
					'setting'   => array(
						'default'           => '15',
						'transport'         => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Nav Item Spacing', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 5,
						    'max'  => 30,
						    'step' => 1
						),
					)
				),

				/* Nav Menu Top Spacing */
				'fl-nav-menu-top-spacing' => array(
					'setting'   => array(
						'default'           => '30',
						'transport'         => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Nav Menu Top Spacing', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 1,
						    'max'  => 200,
						    'step' => 1
						),
					)
				),

				/* Nav Item Align */
				'fl-nav-item-align' => array(
					'setting'   => array(
						'default'   => 'center'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Nav Item Align', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left'   	=> __( 'Left', 'wipi' ),
							'center'    => __( 'Center', 'wipi' ),
							'right'    	=> __( 'Right', 'wipi' )
						)
					)
				),
				
				/* Mobile Nav Toggle */
				'fl-mobile-nav-toggle' => array(
					'setting'   => array(
						'default'   => 'button'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Mobile Nav Toggle', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'button'   	=> __( 'Menu Button', 'wipi' ),
							'icon'    	=> __( 'Hamburger Icon', 'wipi' )
						)
					)
				),

				/* Mobile Nav Toggle */
				'fl-mobile-nav-fixed-enabled' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Mobile: Full Screen Menu', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'0'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'1'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				)
			)
		),

		/* Nav Style Section */
		'fl-nav-style' => array(
			'title'   => _x( 'Nav Style', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Nav Background Color */
				'fl-nav-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),

				/* Nav Background Opacity */
				'fl-nav-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),	

				/* Nav Background Gradient */
				'fl-nav-bg-gradient' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Background Gradient', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'0'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'1'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),
				
				/* Nav Background Image */
				'fl-nav-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Nav Background Repeat */
				'fl-nav-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Nav Background Position */
				'fl-nav-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Nav Background Attachment */
				'fl-nav-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Nav Background Size */
				'fl-nav-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),
				
				/* Nav Link Color */
				'fl-nav-link-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Link Color', 'wipi')
					)
				),
				
				/* Nav Hover Color */
				'fl-nav-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				),

				/* Nav Font Family */
				'fl-nav-font-family' => array(
					'setting'   => array(
						'default'   => 'Helvetica',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Family', 'wipi'),
						'type'      => 'font',
						'connect'   => 'fl-nav-font-weight'
					)
				),

				/* Nav Font Weight */
				'fl-nav-font-weight' => array(
					'setting'   => array(
						'default'   => '400'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Weight', 'wipi'),
						'type'      => 'font-weight',
						'connect'   => 'fl-nav-font-family'
					)
				),

				/* Nav Font Format */
				'fl-nav-font-format' => array(
					'setting'   => array(
						'default'   => 'none',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Font Format', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'none'       => __('Regular', 'wipi'),
							'capitalize' => __('Capitalize', 'wipi'),
							'uppercase'  => __('Uppercase', 'wipi'),
							'lowercase'  => __('Lowercase', 'wipi')
						)
					)
				),

				/* Nav Font Size */
				'fl-nav-font-size' => array(
					'setting'   => array(
						'default'   => '16',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Font Size', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 25,
						    'step' => 1
						),
					)
				),


				/* Mega Menu */
				/* ************************** */
				/* Line */
				'fl-nav-style-line1' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Nav Background Color */
				'fl-nav-megamenu-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mega Menu: Background Color', 'wipi')
					)
				),

				/* Nav Background Opacity */
				'fl-nav-megamenu-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Mega Menu: Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

				/* Nav Text Color */
				'fl-nav-megamenu-text-color' => array(
					'setting'   => array(
						'default'   => '#111111'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mega Menu: Text Color', 'wipi')
					)
				),

				/* Nav Active/Hover Color */
				'fl-nav-megamenu-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mega Menu: Active Color', 'wipi')
					)
				),


				/* Mobile Menu */
				/* ************************** */
				/* Line */
				'fl-nav-style-line2' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				'mobile-nav-button-bg-color' => array(
					'setting'   => array(
						'default'   => '#dcdcdc'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mobile Menu Button Background', 'wipi')
					)
				),
				'mobile-nav-button-text-color' => array(
					'setting'   => array(
						'default'   => '#888888'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mobile Menu Button Text Color', 'wipi')
					)
				),

				'mobile-nav-bg-color' => array(
					'setting'   => array(
						'default'   => '#f5f5f5'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mobile Menu Background Color', 'wipi')
					)
				),
				'mobile-nav-text-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mobile Menu Text Color', 'wipi')
					)
				),
				'mobile-nav-active-text-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mobile Menu Active Text Color', 'wipi')
					)
				),
				'mobile-nav-divider-color' => array(
					'setting'   => array(
						'default'   => '#e6e6e6'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Mobile Menu Divider Color', 'wipi')
					)
				),

				'mobile-nav-horizontal-padding' => array(
					'setting'   => array(
						'default'   => '20'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Mobile Menu Horizontal Padding (px)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),
				'mobile-nav-vertical-padding' => array(
					'setting'   => array(
						'default'   => '15'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Mobile Menu Vertical Padding (px)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

				'mobile-nav-text-align' => array(
					'setting'   => array(
						'default'   => 'right'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Mobile Menu Text Align', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'right'       => __('Right', 'wipi'),
							'center' => __('Center', 'wipi'),
							'left'  => __('Left', 'wipi'),
						)
					)
				),

			)
		)
	)
));
