<?php

/* Default */
FLCustomizer::add_preset('default', array(
	'name'      => _x('Default Light', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-fixed-header'               => 'fadein',
		'fl-layout-width'               => 'full-width',
		'fl-layout-spacing'             => '0',
		'fl-body-bg-color'              => '#f2f2f2',
		'fl-accent'                     => '#0088cc',
		'fl-accent-hover'               => '#005cd6',
		'fl-heading-text-color'         => '#333333',
		'fl-body-text-color'            => '#545454',
		'fl-topbar-bg-color'            => '#ffffff',
		'fl-topbar-bg-gradient'         => '1',
		'fl-topbar-text-color'          => '#d1d1d1',
		'fl-topbar-link-color'          => '#a6a6a6',
		'fl-topbar-hover-color'         => '#0088cc',
		'fl-header-layout'              => 'bottom',
		'fl-header-content-layout'      => 'text',
		'fl-header-bg-color'            => '#f2f2f2',
		'fl-header-bg-opacity'          => '100',
		'fl-header-bg-gradient'         => '1',
		'fl-header-text-color'          => '#a6a6a6',
		'fl-header-link-color'          => '#ffffff',
		'fl-header-hover-color'         => '#000000',
		'fl-mobile-nav-toggle'          => 'button',
		'fl-nav-bg-color'               => '#0088CC',
		'fl-nav-bg-gradient'            => '1',
		'fl-nav-link-color'             => '#FFFFFF',
		'fl-nav-hover-color'            => '#000000',
		'fl-content-bg-color'           => '#ffffff',
		'fl-blog-sidebar-size'          => '3',
		'fl-footer-widgets-bg-color'    => '#dddddd',
		'fl-footer-widgets-text-color'  => '#4c4c4c',
		'fl-footer-widgets-link-color'  =>  '#0088cc',
		'fl-footer-widgets-hover-color' => '#0088cc',
		'fl-footer-bg-color'            => '#2e3036',
		'fl-footer-text-color'          => '#a6a6a6',
		'fl-footer-link-color'          => '#0088cc',
		'fl-footer-hover-color'         => '#0088cc',
		'fl-header-padding'             => 10,
		'fl-topbar-layout'              => '1-col',
		'fl-topbar-col1-layout'         => 'menu-social',
		'fl-topbar-col2-layout'         => 'text',
		'fl-nav-item-spacing'           => 10,
		'fl-nav-font-size'              => 16,
		'fl-header-nav-search'          => 'visible',
		'fl-front-page-layout-width'    => 'full-width',
		'fl-layout-front-spacing'       => 0,
		'fl-social-icons-color'         => 'mono',
		'fl-footer-col1-layout'         => 'social-text',
		'fl-breadcrumb-show'            => 1,
		'fl-breadcrumb-height'          => 70,
		'fl-breadcrumb-width'           => 1020,
		'fl-breadcrumb-bg-color'        => '#dddddd',
		'fl-breadcrumb-title-color'     => '#4c4c4c',
		'fl-breadcrumb-title-font-size' => '22',
		'fl-breadcrumb-title-side'      => 'right',
		'fl-breadcrumb-home'            => 1,
		'fl-breadcrumb-nav-current-color' => '#4c4c4c',
		'fl-breadcrumb-nav-links-color' => '#4c4c4c',
		'fl-breadcrumb-nav-links-hover-color' => '#0088cc',
		'fl-breadcrumb-nav-sep-color'   => '#000000',
		'fl-breadcrumb-nav-font-size'   => 16,
		'fl-logo-width'                 => 40,
		'fl-footer-widgets-display'     => 'all',
		'fl-footer-widgets-bg-gradient' => 0,
		'fl-footer-layout'              => '2-cols',
		'fl-footer-col2-layout'         => 'social-text',
		'fl-footer-bg-gradient'         => 0
	)
));

/* Default Dark */
FLCustomizer::add_preset('default-dark', array(
	'name'      => _x('Default Dark', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                          => 'image',
		'fl-fixed-header'                       => 'fadein',
		'fl-show-woocommerce-cart-link'         => 'visible',
        'fl-layout-width'                       => 'full-width',
        'fl-layout-spacing'                     => '0',
        'fl-body-bg-color'                      => '#f2f2f2',
        'fl-accent'                             => '#0088cc',
        'fl-accent-hover'                       => '#005cd6',
        'fl-heading-text-color'                 => '#FFFFFF',
        'fl-body-text-color'                    => '#545454',
        'fl-topbar-bg-color'                    => '#2d2f35',
        'fl-topbar-bg-gradient'                 => '1',
        'fl-topbar-text-color'                  => '#d1d1d1',
        'fl-topbar-link-color'                  => '#a6a6a6',
        'fl-topbar-hover-color'                 => '#0088cc',
        'fl-header-layout'                      => 'bottom',
        'fl-header-content-layout'              => 'text',
        'fl-header-bg-color'                    => '#2e3036',
        'fl-header-bg-opacity'                  => '100',
        'fl-header-bg-gradient'                 => '1',
        'fl-header-text-color'                  => '#a6a6a6',
        'fl-header-link-color'                  => '#dbdbdb',
        'fl-header-hover-color'                 => '#0088cc',
        'fl-mobile-nav-toggle'                  => 'button',
        'fl-nav-bg-color'                       => '#2d2f35',
        'fl-nav-bg-gradient'                    => '1',
        'fl-nav-link-color'                     => '#808080',
        'fl-nav-hover-color'                    => '#0088cc',
        'fl-content-bg-color'                   => '#191919',
        'fl-blog-sidebar-size'                  => '3',
        'fl-footer-widgets-bg-color'            => '#282a2e',
        'fl-footer-widgets-text-color'          => '#a6a6a6',
        'fl-footer-widgets-link-color'          =>  '#0088cc',
        'fl-footer-widgets-hover-color'         => '#0088cc',
        'fl-footer-bg-color'                    => '#2e3036',
        'fl-footer-text-color'                  => '#a6a6a6',
        'fl-footer-link-color'                  => '#0088cc',
        'fl-footer-hover-color'                 => '#0088cc',
        'nav_menu_locations' => Array
			(
				'bar' => '5',
                'header' => '6',
                'footer' => '6'
            ),
        'fl-header-padding'                     => 10,
        'fl-topbar-layout'                      => '1-col',
        'fl-topbar-col1-layout'                 => 'menu-social',
        'fl-topbar-col2-layout'                 => 'text',
        'fl-nav-item-spacing'                   => 10,
        'fl-nav-font-size'                      => 16,
        'fl-header-nav-search'                  => 'visible',
        'fl-front-page-layout-width'            => 'full-width',
        'fl-layout-front-spacing'               => 0,
        'fl-social-icons-color'                 => 'mono',
        'fl-footer-col1-layout'                 => 'social-text',
        'fl-breadcrumb-show'                    => 1,
        'fl-breadcrumb-height'                  => 70,
        'fl-breadcrumb-width'                   => 1020,
        'fl-breadcrumb-bg-color'                => '#2e3036',
        'fl-breadcrumb-title-color'             => '#ffffff',
        'fl-breadcrumb-title-font-size'         => '22',
        'fl-breadcrumb-bg-img-opacity'          => '10',
        'fl-breadcrumb-title-side'              => 'right',
        'fl-breadcrumb-home'                    => 1,
        'fl-breadcrumb-nav-current-color'       => '#d8d8d8',
        'fl-breadcrumb-nav-links-color'         => '#ffffff',
        'fl-breadcrumb-nav-links-hover-color'   => '#0088cc',
        'fl-breadcrumb-nav-sep-color'           => '#ffffff',
        'fl-breadcrumb-nav-font-size'           => 16,
        'fl-logo-width'                         => 40,
        'fl-footer-widgets-display'             => 'all',
        'fl-footer-widgets-bg-gradient'         => 0,
        'fl-footer-layout'                      => '2-cols',
        'fl-footer-col2-layout'                 => 'social-text',
        'fl-footer-bg-gradient'                 => 0
	)
));

/* Classic */
FLCustomizer::add_preset('minimal-boxed', array(
	'name'      => _x('Minimal Boxed', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-layout-width'               => 'boxed',
		'fl-front-page-layout-width'    => 'boxed',
		'fl-header-layout'              => 'right',
		'fl-layout-front-spacing'       => '30',
		'fl-layout-front-shadow-size'   => '5',
		'fl-layout-front-shadow-color'   => '#9eafbf',
		'fl-layout-spacing'             => '30',
		'fl-layout-shadow-size'         => '5',
		'fl-layout-shadow-color'         => '#9eafbf',
		'fl-header-padding'             => 20,
		'fl-logo-width'                 => 40,
		'fl-accent'                     => '#0088cc',
		'fl-accent-hover'               => '#005cd6',
		'fl-heading-text-color'         => '#333333',
		'fl-body-text-color'            => '#545454',
		'fl-body-bg-color'              => '#ffffff',
		'fl-header-bg-color'            => '#e8e8e8',
		'fl-header-text-color'          => '#7c7c7c',
		'fl-header-link-color'          => '#0088CC',
		'fl-header-hover-color'         => '#000000',
		'fl-mobile-nav-toggle'          => 'button',
		'fl-nav-bg-color'               => '#0088CC',
		'fl-nav-bg-gradient'            => '1',
		'fl-nav-link-color'             => '#FFFFFF',
		'fl-nav-hover-color'            => '#000000',
		'fl-content-bg-color'           => '#ffffff',
		'fl-footer-widgets-bg-color'    => '#dddddd',
		'fl-footer-widgets-text-color'  => '#4c4c4c',
		'fl-footer-widgets-link-color'  =>  '#0088cc',
		'fl-footer-widgets-hover-color' => '#0088cc',
		'fl-footer-bg-color'            => '#2e3036',
		'fl-footer-text-color'          => '#a6a6a6',
		'fl-footer-link-color'          => '#0088cc',
		'fl-footer-hover-color'         => '#0088cc',
		'fl-topbar-link-color'			=> '#483182',
		'fl-topbar-hover-color'			=> '#483182'
	)
));

/* Business */
FLCustomizer::add_preset('business', array(
	'name'      => _x('Business', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-logo-width'                 => 40,
		'fl-layout-spacing'             => 0,
		'fl-layout-width'               => 'full-width',
		'fl-accent'                     => '#0088CC',
		'fl-accent-hover'               => '#0e5dd3',
		'fl-body-bg-color'              => '#efefe9',
		'fl-header-layout'              => 'right',
		'fl-nav-bg-color'               => '#FFFFFF',
		'fl-nav-link-color'				=> '#bcd5e5',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-link-color'	=> '#483182',
		'fl-footer-widgets-hover-color'	=> '#483182',
		'fl-footer-link-color'			=> '#483182',
		'fl-footer-hover-color'			=> '#483182',
		'fl-header-padding'             => '8',
		'fl-header-bg-color'            => '#fcfcfc',
		'fl-header-text-color'          => '#919191',
		'fl-nav-font-size'              => '14',
		'fl-header-hover-color'         => '#0088CC',
		'fl-header-link-color'          => '#000000',
	)
));

/* Business Transperant */
FLCustomizer::add_preset('business-transperant', array(
	'name'      => _x('Business Transparent', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-logo-width'                 => 40,
		'fl-layout-width'               => 'full-width',
		'fl-layout-spacing'             => 0,
		'fl-heading-text-color'         => '#0c0c0c',
		'fl-body-text-color'            => '#808080',
		'fl-header-layout'              => 'right-transparent',
		'fl-fixed-header'               => 'visible',
		'fl-header-link-color'          => '#000000',
		'fl-header-hover-color'         => '#0088CC',
		'fl-header-padding'             => '8',
		'fl-nav-item-spacing'           => '10',
		'fl-nav-font-size'              => '14',
		'fl-header-nav-search'          => 'visible',
		'fl-posts-show-nav'             => 'visible',
		'fl-front-page-layout-width'    => 'full-width',
		'transparent_only_frontpage'    => 'enabled',
		'fl-accent'                     => '#0088CC',
		'fl-accent-hover'               => '#0e5dd3',
		'fl-body-bg-color'              => '#efefe9',
		'fl-nav-bg-color'               => '#FFFFFF',
		'fl-nav-link-color'				=> '#bcd5e5',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-link-color'	=> '#483182',
		'fl-footer-widgets-hover-color'	=> '#483182',
		'fl-footer-link-color'			=> '#483182',
		'fl-footer-hover-color'			=> '#483182',
		'fl-header-bg-color'            => '#fcfcfc',
		'fl-header-text-color'          => '#919191',
	)
));


/* Modern */
FLCustomizer::add_preset('classic', array(
	'name'      => _x('Classic', 'Layout name', 'wipi'),
	'skin'      => 'modern',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-layout-width'              	=> 'boxed',
		'fl-layout-shadow-size'        	=> '15',
		'fl-header-padding'             => 20,
		'fl-logo-width'                 => 40,
		'fl-accent'                     => '#0088cc',
		'fl-accent-hover'               => '#0088CC',
		'fl-heading-text-color'         => '#333333',
		'fl-body-text-color'            => '#545454',
		'fl-body-bg-color'              => '#ffffff',
		'fl-header-bg-color'            => '#e8e8e8',
		'fl-header-text-color'          => '#7c7c7c',
		'fl-header-link-color'          => '#0088CC',
		'fl-header-hover-color'         => '#000000',
		'fl-mobile-nav-toggle'          => 'button',
		'fl-topbar-bg-color'           	=> '#333333',
		'fl-topbar-bg-gradient'        	=> '1',
		'fl-topbar-text-color'			=> '#a6a6a6',
		'fl-topbar-link-color'			=> '#a6a6a6',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'bottom',
		'fl-nav-bg-color'              	=> '#fafafa',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-hover-color'            => '#000000',
		'fl-footer-bg-color'           	=> '#333333',
	)
));

/* Bold */
FLCustomizer::add_preset('classic-bold', array(
	'name'      => _x('Classic Bold', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-topbar-bg-color'           	=> '#326796',
		'fl-topbar-text-color'			=> '#c2d2e0',
		'fl-topbar-link-color'			=> '#c2d2e0',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-bg-color'           	=> '#326796',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-padding'             => 20,
		'fl-logo-width'                 => 40,
		'fl-header-text-color'			=> '#c2d2e0',
		'fl-header-link-color'			=> '#c2d2e0',
		'fl-header-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#428bca',
		'fl-nav-link-color'				=> '#c2d2e0',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '#326796',
		'fl-footer-widgets-text-color'	=> '#c2d2e0',
		'fl-footer-widgets-link-color'	=> '#c2d2e0',
		'fl-footer-widgets-hover-color'	=> '#ffffff',
		'fl-footer-bg-color'           	=> '#428bca',
		'fl-footer-text-color'			=> '#c2d2e0',
		'fl-footer-link-color'			=> '#c2d2e0',
		'fl-footer-hover-color'			=> '#ffffff'
	)
));

/* Deluxe */
FLCustomizer::add_preset('deluxe-half-boxed', array(
	'name'      => _x('Deluxe Half Boxed', 'Layout name', 'wipi'),
	'skin'      => 'deluxe',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-logo-width'                 => 30,
		'fl-accent'                    	=> '#657f8c',
		'fl-accent-hover'              	=> '#657f8c',
		'fl-body-bg-color'             	=> '#efefe9',
		'fl-topbar-bg-color'           	=> '#657f8c',
		'fl-topbar-bg-gradient'        	=> '1',
		'fl-topbar-text-color'			=> '#d5dce0',
		'fl-topbar-link-color'			=> '#d5dce0',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'centered',
		'fl-header-bg-color'           	=> '#1f1f1f',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-text-color'			=> '#a6a6a6',
		'fl-header-link-color'			=> '#a6a6a6',
		'fl-header-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#333333',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-link-color'				=> '#a6a6a6',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '#1f1f1f',
		'fl-footer-widgets-bg-gradient' => '0',
		'fl-footer-widgets-text-color'	=> '#a6a6a6',
		'fl-footer-widgets-link-color'	=> '#a6a6a6',
		'fl-footer-widgets-hover-color'	=> '#ffffff',
		'fl-footer-bg-color'           	=> '#333333',
		'fl-footer-text-color'			=> '#d5dce0',
		'fl-footer-link-color'			=> '#d5dce0',
		'fl-footer-hover-color'			=> '#ffffff',
		'fl-breadcrumb-bg-img-opacity'  => '10',
		'fl-breadcrumb-bg-color'        => '#333333',
		'fl-breadcrumb-title-color'     => '#cccccc',
		'fl-breadcrumb-nav-sep-color'   => '#cccccc'
	)
));

/* Premier */
FLCustomizer::add_preset('premier', array(
	'name'      => _x('Premier', 'Layout name', 'wipi'),
	'skin'      => 'premier',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-accent'                    	=> '#0088CC',
		'fl-logo-width'                 => 40,
		'fl-accent-hover'              	=> '#0088CC',
		'fl-body-bg-color'             	=> '#262626',
		'fl-topbar-bg-color'           	=> '',
		'fl-topbar-text-color'			=> '#a6a6a6',
		'fl-topbar-link-color'			=> '#a6a6a6',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-bg-color'           	=> '#262626',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-text-color'			=> '#a6a6a6',
		'fl-header-link-color'			=> '#a6a6a6',
		'fl-header-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#0088CC',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-link-color'				=> '#c6dbf4',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '',
		'fl-footer-widgets-text-color'	=> '#a6a6a6',
		'fl-footer-widgets-link-color'	=> '#a6a6a6',
		'fl-footer-widgets-hover-color'	=> '#ffffff',
		'fl-footer-bg-color'           	=> '',
		'fl-footer-text-color'			=> '#a6a6a6',
		'fl-footer-link-color'			=> '#a6a6a6',
		'fl-footer-hover-color'			=> '#ffffff'
	)
));

/* Dusk */
FLCustomizer::add_preset('deep-dark', array(
	'name'      => _x('Deep Dark', 'Layout name', 'wipi'),
	'skin'      => 'premier',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-layout-width'              	=> 'boxed',
		'fl-logo-width'                 => 70,
		'fl-accent'                    	=> '#cc3f26',
		'fl-accent-hover'              	=> '#cc3f26',
		'fl-heading-text-color'        	=> '#e6e6e6',
		'fl-body-bg-color'             	=> '#1a1a1a',
		'fl-body-text-color'           	=> '#999999',
		'fl-topbar-bg-color'           	=> '#262626',
		'fl-topbar-text-color'			=> '#999999',
		'fl-topbar-link-color'			=> '#999999',
		'fl-topbar-hover-color'			=> '#cc3f26',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-bg-color'           	=> '',
		'fl-header-text-color'			=> '#999999',
		'fl-header-link-color'			=> '#999999',
		'fl-header-hover-color'			=> '#cc3f26',
		'fl-nav-bg-color'              	=> '#cc3f26',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-link-color'				=> '#f1c8c2',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-content-bg-color'          	=> '#262626',
		'fl-footer-widgets-bg-color'   	=> '',
		'fl-footer-widgets-text-color'	=> '#999999',
		'fl-footer-widgets-link-color'	=> '#cc3f26',
		'fl-footer-widgets-hover-color'	=> '#cc3f26',
		'fl-footer-bg-color'           	=> '',
		'fl-footer-text-color'			=> '#999999',
		'fl-footer-link-color'			=> '#cc3f26',
		'fl-footer-hover-color'			=> '#cc3f26'
	)
));

/* Midnight */
FLCustomizer::add_preset('classic-side-menu', array(
	'name'      => _x('Classic Side Menu', 'Layout name', 'wipi'),
	'skin'      => 'modern',
	'settings'  => array(
		'fl-logo-type'                  => 'image',
		'fl-fixed-header'               => 'fadein',
		'fl-show-woocommerce-cart-link' => 'visible',
		'fl-logo-width'                 => 40,
		'fl-header-layout'              => 'vertical-right',
		'fl-accent'                     => '#0088cc',
		'fl-accent-hover'               => '#0088CC',
		'fl-heading-text-color'         => '#333333',
		'fl-body-text-color'            => '#545454',
		'fl-body-bg-color'              => '#ffffff',
		'fl-header-bg-color'            => '#e8e8e8',
		'fl-header-text-color'          => '#7c7c7c',
		'fl-header-link-color'          => '#0088CC',
		'fl-header-hover-color'         => '#000000',
		'fl-mobile-nav-toggle'          => 'button',
		'fl-topbar-bg-color'           	=> '#333333',
		'fl-topbar-bg-gradient'        	=> '1',
		'fl-topbar-text-color'			=> '#a6a6a6',
		'fl-topbar-link-color'			=> '#a6a6a6',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#fafafa',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-hover-color'            => '#000000',
		'fl-footer-bg-color'           	=> '#333333',
	)
));

/* Dark Side Menu */
FLCustomizer::add_preset('dark-side-menu', array(
	'name'      => _x('Dark Side Menu', 'Layout name', 'wipi'),
	'skin'      => 'default',
	'settings'  => array(
		'fl-logo-type'                          => 'image',
		'fl-fixed-header'                       => 'fadein',
		'fl-show-woocommerce-cart-link'         => 'visible',
		'fl-logo-width'                         => 40,
		'fl-header-layout'                      => 'vertical-right',
		'fl-layout-width'                       => 'full-width',
		'fl-layout-spacing'                     => '0',
		'fl-body-bg-color'                      => '#f2f2f2',
		'fl-accent'                             => '#0088cc',
		'fl-accent-hover'                       => '#005cd6',
		'fl-heading-text-color'                 => '#FFFFFF',
		'fl-body-text-color'                    => '#545454',
		'fl-topbar-bg-color'                    => '#2d2f35',
		'fl-topbar-bg-gradient'                 => '1',
		'fl-topbar-text-color'                  => '#d1d1d1',
		'fl-topbar-link-color'                  => '#a6a6a6',
		'fl-topbar-hover-color'                 => '#0088cc',
		'fl-header-content-layout'              => 'text',
		'fl-header-bg-color'                    => '#2e3036',
		'fl-header-bg-opacity'                  => '100',
		'fl-header-bg-gradient'                 => '1',
		'fl-header-text-color'                  => '#a6a6a6',
		'fl-header-link-color'                  => '#dbdbdb',
		'fl-header-hover-color'                 => '#0088cc',
		'fl-mobile-nav-toggle'                  => 'button',
		'fl-nav-bg-color'                       => '#2d2f35',
		'fl-nav-bg-gradient'                    => '1',
		'fl-nav-link-color'                     => '#808080',
		'fl-nav-hover-color'                    => '#0088cc',
		'fl-content-bg-color'                   => '#191919',
		'fl-blog-sidebar-size'                  => '3',
		'fl-footer-widgets-bg-color'            => '#282a2e',
		'fl-footer-widgets-text-color'          => '#a6a6a6',
		'fl-footer-widgets-link-color'          =>  '#0088cc',
		'fl-footer-widgets-hover-color'         => '#0088cc',
		'fl-footer-bg-color'                    => '#2e3036',
		'fl-footer-text-color'                  => '#a6a6a6',
		'fl-footer-link-color'                  => '#0088cc',
		'fl-footer-hover-color'                 => '#0088cc',
		'nav_menu_locations' => Array
		(
			'bar' => '5',
			'header' => '6',
			'footer' => '6'
		),
		'fl-header-padding'                     => 10,
		'fl-topbar-layout'                      => '1-col',
		'fl-topbar-col1-layout'                 => 'menu-social',
		'fl-topbar-col2-layout'                 => 'text',
		'fl-nav-item-spacing'                   => 10,
		'fl-nav-font-size'                      => 16,
		'fl-header-nav-search'                  => 'visible',
		'fl-front-page-layout-width'            => 'full-width',
		'fl-layout-front-spacing'               => 0,
		'fl-social-icons-color'                 => 'mono',
		'fl-footer-col1-layout'                 => 'social-text',
		'fl-breadcrumb-show'                    => 1,
		'fl-breadcrumb-height'                  => 70,
		'fl-breadcrumb-width'                   => 1020,
		'fl-breadcrumb-bg-color'                => '#2e3036',
		'fl-breadcrumb-title-color'             => '#ffffff',
		'fl-breadcrumb-title-font-size'         => '22',
		'fl-breadcrumb-bg-img-opacity'          => '10',
		'fl-breadcrumb-title-side'              => 'right',
		'fl-breadcrumb-home'                    => 1,
		'fl-breadcrumb-nav-current-color'       => '#d8d8d8',
		'fl-breadcrumb-nav-links-color'         => '#ffffff',
		'fl-breadcrumb-nav-links-hover-color'   => '#0088cc',
		'fl-breadcrumb-nav-sep-color'           => '#ffffff',
		'fl-breadcrumb-nav-font-size'           => 16,
		'fl-footer-widgets-display'             => 'all',
		'fl-footer-widgets-bg-gradient'         => 0,
		'fl-footer-layout'                      => '2-cols',
		'fl-footer-col2-layout'                 => 'social-text',
		'fl-footer-bg-gradient'                 => 0
	)
));

