<?php
/**
 * Single Product Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( 'no' === get_option( 'woocommerce_enable_review_rating' ) ) {
	return;
}

?>
<?php if('visible' == FLTheme::get_setting('fl-woo-social-share-display')) :?>
    <div class="product_sharing_box">
        <a target="_blank" href="whatsapp://send?text=<?php urlencode(the_permalink()); ?>">
                <span class="social_item whatsapp">
                    <i class="fa fa-fw fa-whatsapp" aria-hidden="true"></i>
                </span>
        </a>
        <a target="_blank" href="https://twitter.com/intent/tweet/?text=<?php urlencode(the_title()); ?>&url=<?php urlencode(the_permalink()); ?>">
                <span class="social_item twitter">
                    <i class="fa fa-fw fa-twitter" aria-hidden="true"></i>
                </span>
        </a>
        <a target="_blank" href="https://facebook.com/sharer/sharer.php?u=<?php urlencode(the_permalink()); ?>">
                <span class="social_item facebook">
                    <i class="fa fa-fw fa-facebook" aria-hidden="true"></i>
                </span>
        </a>
    </div>
<?php endif;

$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating();

if ( $rating_count > 0 ) : ?>

    <?php if( function_exists( 'wc_get_rating_html' ) ) : ?>
        <div class="woocommerce-product-rating">
            <?php echo wc_get_rating_html( $average, $rating_count ); ?>
            <?php if ( comments_open() ) : ?><a href="#reviews" class="woocommerce-review-link" rel="nofollow">(<?php printf( _n( '%s customer review', '%s customer reviews', $review_count, 'wipi' ), '<span class="count">' . esc_html( $review_count ) . '</span>' ); ?>)</a><?php endif ?>
        </div>
    <?php else : ?>
        <div class="woocommerce-product-rating" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
            <div class="star-rating" title="<?php printf( __( 'Rated %s out of 5', 'wipi' ), $average ); ?>">
                <span style="width:<?php echo ( ( $average / 5 ) * 100 ); ?>%">
                    <strong itemprop="ratingValue" class="rating"><?php echo esc_html( $average ); ?></strong> <?php printf( __( 'out of %s5%s', 'wipi' ), '<span itemprop="bestRating">', '</span>' ); ?>
                    <?php printf( _n( 'based on %s customer rating', 'based on %s customer ratings', $rating_count, 'wipi' ), '<span itemprop="ratingCount" class="rating">' . $rating_count . '</span>' ); ?>
                </span>
            </div>
            <?php if ( comments_open() ) : ?><a href="#reviews" class="woocommerce-review-link" rel="nofollow">(<?php printf( _n( '%s customer review', '%s customer reviews', $review_count, 'wipi' ), '<span itemprop="reviewCount" class="count">' . $review_count . '</span>' ); ?>)</a><?php endif ?>
        </div>
    <?php endif; ?>

<?php endif; ?>
