<?php
/**
 * Single Product Price, including microdata for SEO
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/price.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

?>
<div itemprop="offers" itemscope itemtype="http://schema.org/Offer">

	<p class="price"><?php echo $product->get_price_html(); ?></p>

	<meta itemprop="price" content="<?php echo esc_attr( $product->get_display_price() ); ?>" />
	<meta itemprop="priceCurrency" content="<?php echo esc_attr( get_woocommerce_currency() ); ?>" />
	<link itemprop="availability" href="http://schema.org/<?php echo $product->is_in_stock() ? 'InStock' : 'OutOfStock'; ?>" />

</div>

<div>
    <?php if ( $product->is_in_stock() ) : ?>
        <div class="stock">
            <?php
            if($product->get_stock_quantity() !== null) {
	            printf(
		            _n( '%s in stock', '%s in stock', $product->get_stock_quantity(), 'wipi' ),
		            $product->get_stock_quantity()
	            );
            } else {
                _e( 'In stock', 'wipi' );
            }
            ?>
        </div>
    <?php else : ?>
        <div class="out-of-stock" ><?php _e( 'Out of stock', 'wipi' ); ?></div>
    <?php endif; ?>

    <span class="separator">|</span>

    <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
        <span class="sku_wrapper">
            <?php _e( 'SKU:', 'wipi' ); ?>
            <span class="sku" itemprop="sku">
                <?php echo ( $sku = $product->get_sku() ) ? $sku : __( 'N/A', 'wipi' ); ?>
            </span>
        </span>
    <?php endif; ?>
</div>
